JcePBEProtectionRemoverFactory
Date: 2016-06-23

org.bouncycastle.openpgp.operator.jcajce

## Class JcePBEProtectionRemoverFactory

- java.lang.Object
- - org.bouncycastle.openpgp.operator.jcajce.JcePBEProtectionRemoverFactory

- All Implemented Interfaces:
    PBEProtectionRemoverFactory

      public class JcePBEProtectionRemoverFactory
      extends java.lang.Object
      implements PBEProtectionRemoverFactory

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JcePBEProtectionRemoverFactory(char[] passPhrase)`
    `JcePBEProtectionRemoverFactory(char[] passPhrase, PGPDigestCalculatorProvider calculatorProvider)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `PBESecretKeyDecryptor` | `createDecryptor(java.lang.String protection)`
    `JcePBEProtectionRemoverFactory` | `setProvider(java.security.Provider provider)`
    `JcePBEProtectionRemoverFactory` | `setProvider(java.lang.String providerName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JcePBEProtectionRemoverFactory

          public JcePBEProtectionRemoverFactory(char[] passPhrase)

    - #### JcePBEProtectionRemoverFactory

          public JcePBEProtectionRemoverFactory(char[] passPhrase,
                                        PGPDigestCalculatorProvider calculatorProvider)

  - ### Method Detail

    - #### setProvider

          public JcePBEProtectionRemoverFactory setProvider(java.security.Provider provider)

    - #### setProvider

          public JcePBEProtectionRemoverFactory setProvider(java.lang.String providerName)

    - #### createDecryptor

          public PBESecretKeyDecryptor createDecryptor(java.lang.String protection)
                                                throws PGPException

      Specified by:
        `createDecryptor` in interface `PBEProtectionRemoverFactory`
      Throws:
        `PGPException`